import 'setting.dart';
import 'settings_group.dart';

/// Color settings, themes, etc.
final uiSettings = SettingsGroup(
  key: 'ui',
  items: [
    /// Base color for game UI
    BoolSetting(
      key: 'touch_enabled',
      defaultValue: false,
      userConfigurable: true,
    ),
    /// Selected language code
    StringSetting(
      key: 'language',
      defaultValue: 'en',
      userConfigurable: true,
    ),
  ],
);
